bitel.billing.server.admin.resource.bean

## Class IPResourceCategoryManager

- java.lang.Object
- - bitel.billing.server.admin.resource.bean.ResourceCategoryManager<IPResourceCategory>
  - - bitel.billing.server.admin.resource.bean.IPResourceCategoryManager

-     public class IPResourceCategoryManager
      extends ResourceCategoryManager<IPResourceCategory>

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceCategoryManager

      `con, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPResourceCategoryManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteCategory(int id)`
    `protected IPResourceCategory` | `getCategoryFromRs(java.sql.ResultSet rs)`
    `protected java.lang.String` | `getTableName()`
    `void` | `updateCategory(IPResourceCategory category)`

    - ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceCategoryManager

      `getCategory, getCategoryTree, getSubCount, loadStandartCategoryFields`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IPResourceCategoryManager

          public IPResourceCategoryManager(java.sql.Connection con,
                                           int mid)

  - ### Method Detail

    - #### getCategoryFromRs

          protected IPResourceCategory getCategoryFromRs(java.sql.ResultSet rs)

      Specified by:
        `getCategoryFromRs` in class `ResourceCategoryManager<IPResourceCategory>`

    - #### updateCategory

          public void updateCategory(IPResourceCategory category)

    - #### deleteCategory

          public void deleteCategory(int id)

      Overrides:
        `deleteCategory` in class `ResourceCategoryManager<IPResourceCategory>`

    - #### getTableName

          protected java.lang.String getTableName()

      Specified by:
        `getTableName` in class `ResourceCategoryManager<IPResourceCategory>`